<?php require('../../Connections/cn.php'); ?>
<?php
error_reporting(7); //esto debe ir en la primera linea
//session_start();
include('class.ezpdf.php');

//datos que tomo de la pagina de materias inscritas
$id_alumno=$_GET['id_alumno'];;
$id_periodo=$_GET['id_periodo'];
$codigo_sede=$_GET['codigo_sede'];
$carrera=$_GET['id_carrera'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

//para tomar el id del alumno
$sql = "SELECT cedula, apellidos, nombres FROM alumnos where id_alumno='$id_alumno'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);

$cedula= $row['cedula'];
$nombre_alumno= $row['apellidos'].', '.$row['nombres'];

//sede
$sql1 = "SELECT * FROM sedes where codigo='$codigo_sede'";
$rs1 = mysql_query($sql1, $cn) or die(mysql_error());
$row1 = mysql_fetch_assoc($rs1);
$sede=$row1['nombre_sede'];

//fin

//carreras
$sql2 = "SELECT * FROM carreras where id_carrera='$id_carrera'";
$rs2 = mysql_query($sql2, $cn) or die(mysql_error());
$row2 = mysql_fetch_assoc($rs2);
$carrera=$row2['nombre_carrera'];
//fin

//periodo
$sql3 = "SELECT * FROM periodos where id_periodo='$id_periodo'";
$rs3 = mysql_query($sql3, $cn) or die(mysql_error());
$row3 = mysql_fetch_assoc($rs3);
$periodo=$row3['codigo'].' ('.$row3['descripcion'].')';
//fin

if($cn!=0)
{
	$sql4 = "Select
	inscripciones.id,
	inscripciones.id_materia,
	materias.nombre_materia,
	materias.uc,
	inscripciones.id_seccion,
	docentes.apellidos,
	docentes.nombres,
	inscripciones.fecha_inscripcion
	From
	inscripciones
	Inner Join docentes ON inscripciones.id_docente = docentes.id_docente
	Inner Join materias ON inscripciones.id_materia = materias.id_materia AND inscripciones.id_carrera = materias.id_carrera
	WHERE 
	inscripciones.id_periodo='$id_periodo' AND 
	inscripciones.sede='$codigo_sede' AND 
	inscripciones.id_carrera='$id_carrera' AND 
	inscripciones.id_alumno='$id_alumno' 
	ORDER BY inscripciones.id_materia";
	$rs4 = mysql_query($sql4, $cn) or die(mysql_error());
	$total= mysql_num_rows($rs4);

	}
else{
	die("error de conexion");
}

$titulo[0]=utf8_decode('    Código');
$titulo[1]='                    Unidad Curricular';
$titulo[2]=utf8_decode('U.C. ');
$titulo[3]=utf8_decode('Sección ');
//$titulo[4]='Turno ';
$titulo[4]='    Facilitador        ';
//$titulo[6]=utf8_decode('Fecha Inscripción ');
$total_creditos=0;
while($row4=mysql_fetch_array($rs4)){
	$registro[$titulo[0]]= $row4['id_materia'];
	$registro[$titulo[1]]= utf8_decode($row4['nombre_materia']);
	$registro[$titulo[2]]= '   '.$row4['uc'];
	$registro[$titulo[3]]= '   '.$row4['id_seccion'];
	//$registro[$titulo[4]]= $row4['turno'];
	$registro[$titulo[4]]= utf8_decode($row4['apellidos']).' '.utf8_decode($row4['nombres']);
	//$registro[$titulo[6]]= $row4['fecha_inscripcion'];
	$total_creditos=$total_creditos+$row4['uc'];
	$tabla[]=$registro;
}
//totales unidades de credito
	$registro[$titulo[0]]= '';
	$registro[$titulo[1]]= utf8_decode('            UNIDADES CRÉDITO INSCRITAS:');
	$registro[$titulo[2]]= '   '.$total_creditos;
	$registro[$titulo[3]]= '';
	//$registro[$titulo[4]]= '';
	$registro[$titulo[4]]= '';
	//$registro[$titulo[6]]= '';
	$tabla[]=$registro;
//fin totales

$pdf=new Cezpdf('letter','portrait');
ini_set('memory_limit','1024M');
ini_set('max_execution_time ','0');
$pdf->ezSetCmMargins(1,2,2,2); // Configuración de los margenes en centímetros
$pdf->ezStartPageNumbers(575,10,9,'','',1); // Insertar el número de página

//datos del alumno
	$encab=$pdf->openObject();
	$pdf->saveState();
	$pdf->setStrokeColor(0,0,0);
	//$pdf->Rectangle(25,630,550,50);
	$pdf->selectFont('./fonts/Helvetica.afm',8);
	$pdf->addText(505,730,9,"Fecha: ".date("d/m/Y")); // Agregar la fecha
	$pdf->addText(30,680,11,utf8_decode("<b>CEDULA:</b> ".$cedula."     <b>PARTICIPANTE:</b> ".$nombre_alumno));
	$pdf->addText(30,660,11,utf8_decode("<b>PROGRAMA:</b> ".$carrera));
	$pdf->addText(30,640,11,utf8_decode("<b>PERIODO:</b> ".$periodo."   <b>SEDE:</b> ".$sede));

	$pdf->restoreState();
	$pdf->closeObject();
	$pdf->addObject($encab,'all');
	
//para colocar la imagen
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,10,$pdf->y-50,100,0);
$pdf->selectFont('./fonts/Helvetica.afm',8);
$pdf->ezText(utf8_decode("<b>UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE</b>"),12,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText(utf8_decode("<b>COMPROBANTE DE INSCRIPCION</b>"),13,array('justification'=>'center'));
$pdf->ezsetdy(-100);
$pdf->ezTable($tabla, $row4, '', array('width'=> 550)); 


//uf_print_autorizacion($pdf);
if ($pdf->ezPageCount==$thisPageNum)
	{// Hacemos el commit de los registros que se desean imprimir
		$pdf->transaction('commit');
	}
	else
	{// Hacemos un rollback de los registros, agregamos una nueva página y volvemos a imprimir
		$pdf->transaction('rewind');
		//$pdf->ezNewPage();
		//uf_print_autorizacion($pdf);
		//$pdf->Rectangle(15,40,585,40);
		//pie_pagina($pdf);

	}	
$pdf->ezStream();

function uf_print_autorizacion(&$pdf)
{
	$pdf->ezsetdy(-5);
	$la_data=array(array('almacen'=>'FIRMAS'));
	$la_columna=array('almacen'=>'');
	$la_config=array('showHeadings'=>0, // Mostrar encabezados
		'showLines'=>1, // Mostrar Líneas
		'shaded'=>0, // Sombra entre líneas
		'shadeCol2'=>array(0.9,0.9,0.9), // Color de la sombra
		'xOrientation'=>'center', // Orientación de la tabla
		'width'=>474, // Ancho de la tabla
		'maxWidth'=>474,
		'cols'=>array('almacen'=>array('justification'=>'center','width'=>474))); 
	$pdf->ezTable($la_data,$la_columna,'',$la_config);

	$la_data1[0]=array('poralmacen'=>'<b>Por Almacen</b>','sello'=>'<b>Sello Almacen</b>','recibido'=>'<b>Recibido Por</b>','sello2'=>'<b>Sello Recibido</b>');
	$la_data1[1]=array('poralmacen'=>'','sello'=>'','recibido'=>'','sello2'=>'');
	$la_data1[2]=array('poralmacen'=>'','sello'=>'','recibido'=>'','sello2'=>'');
	$la_data1[3]=array('poralmacen'=>'','sello'=>'','recibido'=>'','sello2'=>'');
	
	$la_config1=array('showHeadings'=>0, // Mostrar encabezados
		'fontSize' => 9, // Tamaño de Letras
		'titleFontSize' => 12,  // Tamaño de Letras de los títulos
		'showLines'=>1, // Mostrar Líneas
		'shaded'=>0, // Sombra entre líneas
		'width'=>474, // Ancho de la tabla
		'maxWidth'=>474, // Ancho Máximo de la tabla
		'xOrientation'=>'center', // Orientación de la tabla
		'cols'=>array('poralmacen'=>array('justification'=>'center','width'=>120),
		'sello'=>array('justification'=>'center','width'=>120),
		'recibido'=>array('justification'=>'center','width'=>119),
		'sello2'=>array('justification'=>'center','width'=>115)));

	// Justificación y ancho de la columna
	$la_columnas1=array('poralmacen'=>'','sello'=>'','recibido'=>'','sello2'=>'');
	$pdf->ezTable($la_data1,$la_columnas1,'',$la_config1);
	//////fin columnas martin
			
}// end function uf_print_autorizacion

function pie_pagina(&$pdf)
{
	//$pdf->line(15,40,585,40);

	//$pdf->line(15,40,585,40);
	//$pdf->line(474,730,585,730);

	/*$pdf->addJpegFromFile('../../img/header.jpg',20,$pdf->y-50,450,0); // Agregar Logo
	$ls_titulo=utf8_decode("Listado General de Artículos");
	$li_tm=$pdf->getTextWidth(16,$ls_titulo);
	$tm=296-($li_tm/2);
	$pdf->addText($tm,680,8,$ls_titulo); // Agregar el t�tulo*/

	$pie=$pdf->openObject();
	$pdf->saveState();
	$pdf->setStrokeColor(0,0,0);
	$pdf->Rectangle(25,20,550,50);
	$pdf->addText(50,58,12,"Por Almacen");
	$pdf->addText(185,58,12,"Sello Almacen");
	$pdf->addText(340,58,12,"Recibido Por");
	$pdf->addText(480,58,12,"Sello recibido");
	$pdf->addText(25,10,9,date("d/m/Y")); // Agregar la Hora
	$pdf->line(155,20,155,70);
	$pdf->line(300,20,300,70);
	$pdf->line(445,20,445,70);
	$pdf->restoreState();
	$pdf->closeObject();
	$pdf->addObject($pie,'all');
}
?>